Bug 177287 - editors/nxml + editors/nxml-emacs21 needs combining: 2 ports for 1 package
editors/nxml + editors/nxml-emacs21 needs combining: 2 ports for 1 package
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 21:40 UTC by draco
Modified: 2013-05-02 06:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description draco 2013-03-22 21:40:00 UTC
If I understand the situation correctly, editors/nxml builds nothing by itself and editors/nxml-emacs21 needs all the files from editors/nxml to build its package.

It appears at one time editors/nxml built different versions of emacs, but now it only builds emacs21.  If this is true, then currently two ports are being used to build a single package.

Fix: 

I propose that editors/nxml-emacs21 be removed, and editors/nxml be altered to define EMACS_PORT_NAME=emacs21.

Then one still gets a nxml-emacs21 package put it only took one port to do it.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-22 21:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Hiroki Sato freebsd_committer 2013-05-02 06:43:47 UTC
State Changed
From-To: open->closed

The reason why we had the -emacs21 port was that the package for emacs21 was 
built for the release media.  So, removing it for the reason "it is duplicated" 
is wrong.  However, since emacs21 is too old, I decided to remove the -emacs21 
port in any way.
Comment 3 dfilter freebsd_committer 2013-05-02 06:43:48 UTC
Author: hrs
Date: Thu May  2 05:43:40 2013
New Revision: 317072
URL: http://svnweb.freebsd.org/changeset/ports/317072

Log:
  - Remove obsolete editors/nxml-emacs21.
  - Trim old-style header.
  - Use OPTIONS_DEFINE.
  
  PR:	ports/177287

Deleted:
  head/editors/nxml-emacs21/
Modified:
  head/MOVED
  head/editors/Makefile
  head/editors/nxml/Makefile
  head/editors/nxml/pkg-plist

Modified: head/MOVED
==============================================================================
--- head/MOVED	Thu May  2 03:15:15 2013	(r317071)
+++ head/MOVED	Thu May  2 05:43:40 2013	(r317072)
@@ -4243,3 +4243,4 @@ devel/ruby-term-ansicolor|devel/rubygem-
 www/mediawiki|www/mediawiki119|2013-05-01|Rename mediawiki to mediawiki119
 www/squid31||2013-05-01|Has expired: No longer actively maintained upstream
 converters/ruby-bsdconv|converters/rubygem-bsdconv|2013-05-01|Moved to Rubygems
+editors/nxml-emacs21||2013-05-02|Removed: obsolete

Modified: head/editors/Makefile
==============================================================================
--- head/editors/Makefile	Thu May  2 03:15:15 2013	(r317071)
+++ head/editors/Makefile	Thu May  2 05:43:40 2013	(r317072)
@@ -232,7 +232,6 @@
     SUBDIR += nvi-devel
     SUBDIR += nvi-m17n
     SUBDIR += nxml
-    SUBDIR += nxml-emacs21
     SUBDIR += omegaT
     SUBDIR += openoffice-3
     SUBDIR += openoffice-devel

Modified: head/editors/nxml/Makefile
==============================================================================
--- head/editors/nxml/Makefile	Thu May  2 03:15:15 2013	(r317071)
+++ head/editors/nxml/Makefile	Thu May  2 05:43:40 2013	(r317072)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	nxml for emacs
-# Date created:		26 Oct 2003
-# Whom:			Fritz Heinrichmeyer
-#
+# Created by: Fritz Heinrichmeyer
 # $FreeBSD$
-#
 
 PORTNAME=	nxml-mode
 PORTVERSION=	${NXML_VER}
@@ -28,6 +24,10 @@ NXML_INSTDIRS=	. char-name char-name/uni
 NXML_INCLEXP=	\.el$$\|\.elc$$\|\.rnc$$\|\.xml$$
 NXML_EXCLEXP=	nxml-mode.xml\|nxml-mode.rnc\|test.invalid.xml\|test.valid.xml
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 do-install:
 	@${MKDIR} ${NXML_INSTDIRS:S,^,${NXML_LISPDIR}/,}
 .for D in ${NXML_INSTDIRS}
@@ -39,7 +39,7 @@ do-install:
 
 post-install:
 	@${INSTALL_DATA} ${INSTALL_WRKSRC}/nxml-mode.info ${PREFIX}/info
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@cd ${INSTALL_WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif
@@ -48,7 +48,7 @@ post-install:
 .include <bsd.port.pre.mk>
 
 .if ${EMACS_PORT_NAME} == "emacs23" || ${EMACS_PORT_NAME} == "emacs24"
-IGNORE=     incorporated into ${EMACS_PORT_NAME}
+IGNORE=	incorporated into ${EMACS_PORT_NAME}
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/editors/nxml/pkg-plist
==============================================================================
--- head/editors/nxml/pkg-plist	Thu May  2 03:15:15 2013	(r317071)
+++ head/editors/nxml/pkg-plist	Thu May  2 05:43:40 2013	(r317072)
@@ -1,3 +1,4 @@
+@comment $FreeBSD$
 %%EMACS_VERSION_SITE_LISPDIR%%/nxml/nxml-enc.el
 %%EMACS_VERSION_SITE_LISPDIR%%/nxml/nxml-enc.elc
 %%EMACS_VERSION_SITE_LISPDIR%%/nxml/nxml-glyph.el
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"